Bug 299901 - We need SB800 SATA Controller supported in RHEL4.7
We need SB800 SATA Controller supported in RHEL4.7
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Martin Jenner
: FutureFeature, OtherQA
Depends On:
Blocks: 335381 367631 RHEL4u7_relnotes 430698
  Show dependency treegraph
Reported: 2007-09-21 05:36 EDT by Shane Huang
Modified: 2013-07-02 22:34 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-24 15:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
SB700/800 SATA controller support (1.06 KB, patch)
2008-02-19 16:48 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Shane Huang 2007-09-21 05:36:59 EDT
This is for requirements phase to RHEL4.7
Comment 1 Russell Doty 2007-10-16 17:39:02 EDT
Hardware is due to RH by November 13, 2007 for inclusion in RHEL 4.7.
Comment 2 Andrius Benokraitis 2008-02-14 13:17:22 EST
AMD: Does Red Hat have this hardware in house? What's the status of this request?
Comment 3 Shane Huang 2008-02-15 02:25:21 EST
We do not have the hardware, but we still can support it just according to
SB800 SATA controller spec. We can verify it once we get the HW.

In fact, We need not provide any more SB800 related SATA/IDE patches
because we find that most of the SATA PCI device IDs are same as those
of SB700, except:
0x4394  SATA in AHCI mode with HyperFlash-OneNand support
0x4395  SATA in AHCI mode with HyperFlash-PCIE support

There is one patch submitted by Henry, please check:

And RHEL5.2 has added this feature from kernel 2.6.18-58.el5,
please check BZ# 252961

Comment 4 Andrius Benokraitis 2008-02-15 09:33:36 EST
Shane, have you tested the in 2.6.18-58.el5 kernel or newer from
http://people.redhat.com/dzickus/el5 from the addition posted in bug 252961?
Comment 5 Shane Huang 2008-02-19 00:59:38 EST
Our QA are testing 2.6.18-81 on SB700, because SB800 is not available.
We will test on SB800 when we get it.
Comment 6 Bhavna Sarathy 2008-02-19 16:48:53 EST
Created attachment 295343 [details]
SB700/800 SATA controller support
Comment 7 Bhavna Sarathy 2008-02-28 15:53:06 EST
Patch has been QA with brew build and submitted to RHML.  Please set the
remaining BZ ACKs.
Comment 9 Vivek Goyal 2008-03-18 12:25:10 EDT
Committed in 68.23 . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 Don Domingo 2008-05-15 00:09:03 EDT
added to RHEL4.7 Driver Updates:


AMD ATI SB800 SATA controller is now supported.

please advise if any further revisions are required. thanks!
Comment 12 Don Domingo 2008-06-02 19:14:08 EDT

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Comment 13 Chris Ward 2008-06-05 11:50:08 EDT
~ Attention: ~ Feedback requested regarding this **High Priority** bug. 

A fix for this issue should be included in the latest packages contained in
RHEL4.7-Snapshot1--available now on partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the passing results of your test in appropriate
detail, along with which snapshot and package version tested. The bugzilla will
be updated by Red Hat Quality Engineering for you when this information has been

If you believe this issue has not properly fixed or you are unable to verify the
issue for any reason, please add a comment describing the most recent issues you
are experiencing, along with which snapshot and package version tested. 

If you believe the bug has not been fixed, change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and bugzilla will be updated for you. 

If you need assistance accessing ftp://partners.redhat.com, please contact your
Partner Manager.

Thank you
Red Hat QE Partner Management
Comment 14 Chris Ward 2008-06-06 04:40:25 EDT
Correction: This bug is **Low Priority**. Sorry.
Comment 15 Shane Huang 2008-06-09 22:18:46 EDT
Verified with RHEL4.7 Beta (kernel 2.6.9-70.EL)
Comment 17 errata-xmlrpc 2008-07-24 15:16:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 18 Chris Ward 2008-07-29 03:28:55 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.